import type { BuilderBlock } from "../../types/builder-block";
export type BlocksWrapperProps = {
    blocks: BuilderBlock[] | undefined;
    parent: string | undefined;
    path: string | undefined;
    styleProp: Record<string, any> | undefined;
    /**
     * The element that wraps each list of blocks. Defaults to a `div` element ('ScrollView' in React Native).
     */
    BlocksWrapper: any;
    /**
     * Props to be applied to the wrapping element of blocks. Can be set in two ways:
     * 1. Globally via `<Content blocksWrapperProps={{...}}/>` - applies to all blocks wrappers in the Content
     * 2. Locally via `<Blocks BlocksWrapperProps={{...}}/>` - applies only to this specific blocks instance and overrides global props
     *
     * For merging both global and local props, spread the context props before adding your own:
     * ```
     * <Blocks
     *   BlocksWrapperProps={{
     *     ...builderContext.BlocksWrapperProps,
     *     'data-test-id': 'my-test-id'
     *   }}
     * />
     * ```
     */
    BlocksWrapperProps: any;
    children?: any;
    classNameProp?: string;
};
declare const _default: import("vue").DefineComponent<Readonly<{
    path?: any;
    blocks?: any;
    classNameProp?: any;
    parent?: any;
    styleProp?: any;
    BlocksWrapperProps?: any;
    BlocksWrapper?: any;
}>, unknown, {
    shouldUpdate: boolean;
}, {
    className(): string;
    dataPath(): any;
    onUpdateHook0(): {
        0: any;
    };
}, {
    onClick(): void;
    onMouseEnter(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<Readonly<{
    path?: any;
    blocks?: any;
    classNameProp?: any;
    parent?: any;
    styleProp?: any;
    BlocksWrapperProps?: any;
    BlocksWrapper?: any;
}>>>, {
    readonly path?: any;
    readonly blocks?: any;
    readonly classNameProp?: any;
    readonly parent?: any;
    readonly styleProp?: any;
    readonly BlocksWrapperProps?: any;
    readonly BlocksWrapper?: any;
}, {}>;
export default _default;
